Debian Wheezy ffmpeg version 1.2.5 and OpenVC

asked 2014-02-26 00:27:56 -0500

lindylex gravatar image

updated 2014-02-26 00:29:32 -0500

I recently installed "ffmpeg version 1.2.5" from "deb ftp://ftp.deb-multimedia.org wheezy-backports main" on my Debian Wheezy.

I wrote some code with OpenCV and now I get the following error when I try to open a video.

[NULL @ 0x21e2ec0] Value -4616189618054758400.000000 for parameter 'request_sample_fmt' out of range

[mov,mp4,m4a,3gp,3g2,mj2 @ 0x282d580] decoding for stream 0 failed [mov,mp4,m4a,3gp,3g2,mj2 @ 0x282d580] Could not find codec parameters (Video: h264 (avc1 / 0x31637661), 23069 kb/s) [IMGUTILS @ 0x7ffff1da3fd0] Picture size 0x0 is invalid [IMGUTILS @ 0x7ffff1da3fe0] Picture size 0x0 is invalid

edit retag flag offensive close merge delete

Comments

I speculated the problem started after I added the following two source to my /etc/apt/sources.list file on Debian Wheezy. I did this procure a newer version of FFMPEG.

deb ftp://ftp.deb-multimedia.org">ftp://ftp.deb-multimedia.org wheezy main non-free deb ftp://ftp.deb-multimedia.org">ftp://ftp.deb-multimedia.org wheezy-backports main

It was then all my code written using the OpenVC started to break. I had a hunch it was my recent upgrade but not sure until I read the following.

“Make sure proper versions of ffmpeg or gstreamer is installed. Sometimes, it is a headache to work with Video Capture mostly due to wrong installation of ffmpeg/gstreamer.” ~ http://opencv-python-tutroals.readthedocs.org/en/latest/py_tutorials/py_gui/py_video_display/py_video_display.html

[ SOLUTION ]

This search will tell you what installed packages come from D

lindylex gravatar imagelindylex ( 2014-02-27 01:02:31 -0500 )edit